Hot in handcuffs
================

Preface
-------
What started as an idea for something simple turns out to become a large conversion;
still, if I want this project to ever get somewhere, I should keep it at least
modular, with smaller independent parts having limited scope.

This project is built around the singular invariant: the player character gets
handcuffed very early in the game and is unable to ever get free. One optional
additional notion would be that the game world climate is on the warmer side. While
not that complex of a premise, this has a lot of implications we will have
to explore and address.

Tired to death of merry looter-shooter power fantasies, I imagine a very different
game play: a limiting but fair sandbox, proper role-play content, a setting that
makes sense, and a real sense of achievement, should one manages to achieve something.

Goals
-----
* A novel way to immerse yourself in a post-apocalyptic retro-futuristic fantasy world.
* A lewd mod I myself want to play for extended periods of time.
* A project that's actually doable.

Non-goals
---------
* A railroaded cinematographic "experience" for players.
* Support for any platforms other than PC

Limitations
-----------
* I don't use discord.
* I refuse to touch C++ with a stick of any length.
* I have no experience with 3D, animation or any art at all beyond writing.
* I'm not a native speaker.

Hard questions
--------------
We will have to take away many a game mechanic from the player in a game that was
designed around these mechanics. We will have to give something new in return lest
we make a boredom simulator -- I'm ready to develop a boredom simulator, but people
aren't ready to play one.

No amount of quests or dialogue helps with making a satisfactory sandbox. All quests
end sooner or later, and the game shouldn't end with them. We need a new core
game play loop and ways for people to play out their own stories. What is especially
unhelpful is meaningless busywork that doesn't lead anywhere. "Radiant quests" is a bad
solution to the "endless game" problem.

If we go "second person" way, how do we avoid repetition in a single player game?
If we go "magic" way, how are we not making it a power fantasy all over again?

What do we lose?
----------------
### Mechanics
* Power armor for the player
* Pip-boy
	* Stats
	* Inventory
	* Data
	* Map
	* Radio
	* Vault doors
* Interaction with large amount of world objects
	* Terminals (requires separate discussion)
	* Traps
	* Workbenches
* Picking up and moving objects
* Workshop interface
* Sitting down

### Systems
* Combat
* Looting
* Using aid items
* Crafting
* Building

Core game play loop
-------------------
### Open world
We lose all three parts of the vanilla loop, widely summarized as shoot->loot->improve.
While I can imagine some substitutes for that, if replaced directly it would defeat
most of the purpose, setting the player on a familiar hero power fantasy route. We need
something new that lies beyond the "content", as all quests end sooner or later. Having
said that, let's explore said content.

#### Quests
These go without saying. Repeatable activities tend to get old rather fast though.

#### Exploration
The intention is to have the world mostly empty of anything that moves, but there is
still room for discovery. Maybe there's a magazine hidden under an odd bed somewhere,
or a holo-tape with a new porn clip for the next time you spend a week behind bars.

#### Building
It seems reasonable to assign NPCs to slowly convert materials into objects the player
may then place into the world. Scavenger stations may scrap things in an immersive way.

#### End-game
In a world where nothing re-spawns, there comes a point when it's hard to think of ways
to keep yourself occupied. Not like vanilla can answer this question either, to be fair.
A successful sandbox allows the player to set their own goals in a world where it's
enjoyable to simply walk around.

We have to come to peace with the notion that all games end at some point because
the player stops playing.

### Captivity
* Listening to radio
* Watching VotW
* Reading smut
* Smoking on a balcony
* ?AI?
* Chilling in a nice place, watching the world

Idea dump
=========

Random
------
* Corruption over time
	* Player
	* NPCs
	* Settlements
	* Factions
* Magic
	* Arms behind back -> Picking up and moving objects
	* Blindness -> Magic vision
	* ?Gag? -> Combat magic
	* Bound legs -> Magic jet-pack
	* ?Deafness? -> ?Magic hearing?
* https://fallout.fandom.com/wiki/Pommel_horse -> use for lewd purposes

Vanilla quests
--------------
### Kid in a Fridge
* Billy is a teenager looking ghoul girl.

### Confidence Man
* Scarlet turns into a dom and runs the bar, having V.B. sweep instead.
	* ?Gunners boot camp?
* Moves in with Travis, who gets to enjoy being her pet from now on.
* Travis never gets the confidence boost.
* Maybe some new radio bits.
* Maybe adds to DC corruption levels.

Prospect dominants
------------------
* Duff+1 -> playful and mischievous
* Mysterious stranger -> silent and service
* 81 overseer -> strict and chastity
* ?Kellogg? -> 
* ?Curie? -> ?medical?

Modules
-------
* Clothes gone: replace vanilla clothing with skimpy multi-slot items
* No loot: remove most of containers and loose items
* No ammo: remove most of the ammo and fusion cores from the game, guns from NPCs
* ?: remove items and handcuff PC on startup, set up global variables
* ?: overhaul vanilla quests
* ?: commonwealth ethics committee?
* additional quests





